cURL
curl --request GET \ --url https://api.autocaption.io/v1/templates/{templateId} \ --header 'x-api-key: <api-key>'
{ "id": "<string>", "name": "<string>", "config": { "colors": { "defaultColor": { "colors": [ { "r": 127, "g": 127, "b": 127 } ] }, "spokenColor": { "colors": [ { "r": 127, "g": 127, "b": 127 } ] }, "hilightColor": { "colors": [ { "r": 127, "g": 127, "b": 127 } ] }, "strokeColor": { "colors": [ { "r": 127, "g": 127, "b": 127 } ] }, "backgroundColor": { "colors": [ { "r": 127, "g": 127, "b": 127 } ] }, "shadowColor": { "colors": [ { "r": 127, "g": 127, "b": 127 } ] } }, "modes": { "displayMode": "ALL", "displayWords": "PUNCTUATION", "spokenMode": "LINE", "effectType": "DISABLED", "effectMode": "LINE", "displayEmojis": "WORD" }, "sizes": { "fontSize": 123, "strokeSize": 123, "blurSize": 123, "emojiSize": 123, "backgroundRadius": 123 }, "linesCount": 123, "wordsPerLineCount": 123, "wordHasBackground": true, "wordHasPunctuation": true, "wordHasShadow": true, "wordHasCustomShadowColor": true, "emojiAnimated": true, "capitalizationType": "UPPERCASE" } }
Retrieves details of a specific template by its ID.
Documentation IndexFetch the complete documentation index at: https://developers.autocaption.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.autocaption.io/llms.txt
Use this file to discover all available pages before exploring further.
The unique identifier of the template.
Detailed information about the template.
The id of the template.
The name of the template.
Show child attributes